package cn.fw.valhalla.rpc.passport.dto;

import lombok.Data;

/**
 * 订单确认模板消息param
 * <p>
 * create at 2019-05-15
 *
 * @author kurisu
 */
@Data
public class OrderConfirmMessageParam {
    /**
     * 客户ID
     */
    private Long cusId;
    /**
     * 工单号
     */
    private String orderNo;
    /**
     * 车牌号
     */
    private String carPlateNo;
    /**
     * 商家名称
     */
    private String dealerName;
    /**
     * 工单总金额
     */
    private Double totalValue;
}
