package cn.fw.valhalla.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : kurisu
 * @className : CallReportDTO
 * @description : 通话记录
 * @date: 2021-01-19 15:57
 */
@Data
public class CallReportDTO {
    /**
     * 通话id
     */
    private String callId;
    /**
     * 工作人员id
     */
    private Long staffId;
    /**
     * 用户号码
     */
    private String staffMobile;
    /**
     * 目标号码
     */
    private String peerNo;
    /**
     * 呼叫时间
     */
    private Date callTime;
    /**
     * 通话时间 (秒)
     */
    private Long talkTime;
    /**
     * 集团id
     */
    private Long groupId;
}
