package cn.fw.valhalla.rpc.crm.dto;

import lombok.Data;


/**
 * 售前保有客信息
 * <p>
 * create at 2020-05-15
 *
 * @author kurisu
 */
@Data
public class CustomerDTO {
    /**
     * 客户档案id
     */
    private Long id;
    /**
     * 客户档案名称
     */
    private String name;
    /**
     * 客户手机号码
     */
    private String mobile;
    /**
     * 客户会员id
     */
    private Long passportUserId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 商家id
     */
    private Long dealerId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 销售顾问id
     */
    private Long userId;
    /**
     * 销售顾问姓名
     */
    private String userName;
}
