package cn.fw.valhalla.rpc.passport.dto;

import lombok.Data;
import lombok.ToString;

/**
 * 续保提醒模板消息param
 * <p>
 * create at 2019-05-15
 *
 * @author kurisu
 */
@Data
@ToString
public class RenewInsurNoticeMessageParam {
    /**
     * 客户ID
     */
    private Long memberId;
    /**
     * 保险公司名称
     */
    private String insurCompanyName;
    /**
     * 服务站
     */
    private String shopName;
    /**
     * 保险到期时间
     */
    private String expireDate;
}
